package com.huimv.guowei.admin.controller;


import com.huimv.guowei.admin.common.utils.PdfUtil;
import com.huimv.guowei.admin.common.utils.Result;
import com.huimv.guowei.admin.service.IEnergyWaterService;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletResponse;
import java.util.HashMap;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author author
 * @since 2023-06-01
 */
@RestController
@RequestMapping("/energy-water")
@CrossOrigin
public class EnergyWaterController {
    @Resource
    private IEnergyWaterService energyWaterService;

    @PostMapping("/getWater")
    public Result getWater(@RequestBody Map<String ,String> paramsMap){
        return energyWaterService.getWater(paramsMap);
    }

    @PostMapping("/listWater")
    public Result listWater(@RequestBody Map<String ,String> paramsMap){
        return energyWaterService.listWater(paramsMap);
    }

    @PostMapping("/listWaterLine")
    public Result listWaterLine(@RequestBody Map<String ,String> paramsMap){
        return energyWaterService.listWaterLine(paramsMap);
    }

    @PostMapping("/getScreenWaterLine")
    public Result getScreenWaterLine(@RequestBody Map<String ,String> paramsMap){
        return energyWaterService.getScreenWaterLine(paramsMap);
    }

    @PostMapping("/listScreenWaterLine")
    public Result listScreenWaterLine(@RequestBody Map<String ,String> paramsMap){
        return energyWaterService.listScreenWaterLine(paramsMap);
    }

    @PostMapping("/listScreenUnitWater")
    public Result listScreenUnitWater(@RequestBody Map<String ,String> paramsMap){
        return energyWaterService.listScreenUnitWater(paramsMap);
    }

    @GetMapping("/printWater")
    public void printDuck(HttpServletResponse response, @RequestParam(name = "duckCode") String duckCode) throws Exception {
        Map<String, String> map = new HashMap<>();
        map.put("duckCode", duckCode);
        energyWaterService.printWater(response, map);
        String path = "/opt/guowei/water.xls";
        PdfUtil.returnPdfStream3(response, path, "用水信息");
    }
}
